Ruby - Bug #1234

RDoc failure in benchmark/bm_so_meteor_contest.rb at or around line 542 column
03/01/2009 09:03 PM - daigo (daigo moriwaki)

Status: Closed

Priority: Normal

Assignee: drbrain (Eric Hodel)

Target version: 1.9.1

ruby -v: ruby 1.9.2dev (2009-03-01 trunk 22688) |Backport:
[x86_64-linux]

Description

=begin

Making documents fails with the following error:

% ./miniruby -1./lib -l.ext/common -I./- -r./ext/purelib.rb ./runruby.rb --extout=.ext -- "./bin/rdoc" --all --ri --op .ext/doc
benchmark/bm_so_meteor contest.rb

benchmark/bm_so_meteor_contest.rbo: mMCmmmmmmmmCmmmmmmmmmmmmmmmm

RDoc failure in benchmark/bm_so_meteor_contest.rb at or around line 542 column
0

Before reporting this, could you check that the file you're documenting
compiles cleanly--RDoc is not a full Ruby parser, and gets confused easily if
fed invalid programs.

The internal error was:

/home/daigo/cprojects/org/ruby_1_9/lib/rdoc/parser/ruby.rb:2049:in parse_meta_method': undefined method top_level' for #
RDoc::TopLevel:0x00000002bda180 (NoMethodError)

from /home/daigo/cprojects/org/ruby_1_9/lib/rdoc/parser/ruby.rb:2445:in parse_statements' from
/home/daigo/cprojects/org/ruby_1_9/lib/rdoc/parser/ruby.rb:2540:in parse_toplevel_statements'

from /home/daigo/cprojects/org/ruby_1_9/lib/rdoc/parser/ruby.rb:2706:in “block (2 levels) in scan’

=end

Related issues:
Related to Ruby - Feature #2635: Unbundle rdoc Rejected 01/23/2010

History

#1 - 07/16/2009 05:53 PM - yugui (Yuki Sonoda)
- Category set to lib
- Assignee set to drbrain (Eric Hodel)

- Priority changed from 3 to Normal

=begin

=end

#2 - 07/23/2009 09:39 AM - drbrain (Eric Hodel)

=begin
This is fixed in RDoc trunk.
=end

#3 - 04/01/2010 04:50 PM - drbrain (Eric Hodel)
- Status changed from Open to Closed

=begin
Now checked in.
=end
Files

ruby.rb.diff 564 Bytes 03/01/2009 daigo (daigo moriwaki)
